Namespace
library
Image / Tag
consul:1.6.0-beta1
Content Digest
sha256:25628bcd68f9115795f88a1434eea0a58da9e3c531683561d9b1975ca692fb94
Details
Created

2019-07-08 20:38:34 UTC

Size

41.2 MB

Content Digest
Environment
CONSUL_VERSION

1.6.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d0c434c0359e2da36b788ae4f5a3a70015d83ee20070aa412e714c7feecca465 - 6.36% (2.62 MB)

[#001] sha256:cebc02c2c8d4bf78f4d448731d3175c86d1342c1b8fa75cbef9e9c120b87ee1e - 0.0% (1.23 KB)

[#002] sha256:9d6a20d9671fd4e600c2c7982ca1390b9dce09fe81cd05b81e50d64f87b15a3b - 93.63% (38.6 MB)

[#003] sha256:d3eacab622bdd6631dfa605eca55c8633cb3e3cc64ccc2677e90a9013a2d2b52 - 0.0% (141 Bytes)

[#004] sha256:026f0495c1342105ab04676aa74008633f976b876275628c7722196aef66307b - 0.0% (155 Bytes)

[#005] sha256:cb9017955578642394128c6935113c084f578e9c72dd556d9beb85061a3e3053 - 0.0% (1.67 KB)


History
2019-05-11 10:39:25 UTC

/bin/sh -c #(nop) ADD file:6bcacb93c2814cb9c833dfb82a5ef000ef21e6864d9f0b20a7a68b6e16801700 in /

2019-05-11 10:39:25 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 10:56:52 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-07-08 20:38:25 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.6.0-beta1

2019-07-08 20:38:25 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-07-08 20:38:26 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-07-08 20:38:31 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-07-08 20:38:32 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-07-08 20:38:33 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-07-08 20:38:33 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-07-08 20:38:33 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-07-08 20:38:33 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-07-08 20:38:33 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-07-08 20:38:33 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-07-08 20:38:34 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-07-08 20:38:34 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-07-08 20:20:27 UTC

Size

42.3 MB

Content Digest
Environment
CONSUL_VERSION

1.6.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e7c96db7181be991f19a9fb6975cdbbd73c65f4a2681348e63a141a2192a5f10 - 6.22% (2.63 MB)

[#001] sha256:e329a558e1e57dbee85eabfd2d3abfb6dde34fe04e01f94e8936d38ca64c796b - 0.0% (1.23 KB)

[#002] sha256:b68dbd2cffda42d961e0c2d9720bbac50777ecdef38c856d5c86aacd743d36f6 - 93.78% (39.7 MB)

[#003] sha256:7a74308e50e64eca0d91b2572366986dba0c83ebadc099eac38641263c9b8c3d - 0.0% (142 Bytes)

[#004] sha256:f5c4b541afb291ee0c6df58093e60e22b656bb64244cd25b6e0a80d5c64286d5 - 0.0% (153 Bytes)

[#005] sha256:de2334980268c267b79ede0a81372c9003a39d6955cd38d0c5accfe95dd157d4 - 0.0% (1.67 KB)


History
2019-05-11 00:07:03 UTC

/bin/sh -c #(nop) ADD file:a86aea1f3a7d68f6ae03397b99ea77f2e9ee901c5c59e59f76f93adbb4035913 in /

2019-05-11 00:07:03 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 01:39:31 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-07-08 20:19:30 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.6.0-beta1

2019-07-08 20:20:18 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-07-08 20:20:19 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-07-08 20:20:24 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-07-08 20:20:25 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-07-08 20:20:25 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-07-08 20:20:26 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-07-08 20:20:26 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-07-08 20:20:26 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-07-08 20:20:26 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-07-08 20:20:26 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-07-08 20:20:27 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-07-08 20:20:27 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-07-08 20:49:38 UTC

Size

39.8 MB

Content Digest
Environment
CONSUL_VERSION

1.6.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6e39823df636e42cc4ea056843af98c9bec31b5ae0a75cdc5628cd19b589189c - 6.09% (2.43 MB)

[#001] sha256:5d812619aa2b5c0e7451576fd237d8afff1c76e85c9e7cf29b2d4f97ff58f117 - 0.0% (1.26 KB)

[#002] sha256:b616976beb9754ad94250e3b183220c421819177d9e24448b6c021b7c4213114 - 93.9% (37.4 MB)

[#003] sha256:5c71f0f530b44623d81fa915480634e95c54cf8c6449427d91b10e58e81b0976 - 0.0% (176 Bytes)

[#004] sha256:06695383f3487216bd45a001c43ac09534f22d6cd7ccb8e3625f64601c7c9eb2 - 0.0% (154 Bytes)

[#005] sha256:06b8e6586fee8e04f0d7f60cdc052ffccb8c8fed62a0122dc167fd0d9f9b278c - 0.0% (1.67 KB)


History
2019-05-11 07:49:31 UTC

/bin/sh -c #(nop) ADD file:202469fe868f49927884e8dd109fb8bb596ab6e435dc1bfc9f75f03e50e82325 in /

2019-05-11 07:49:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 08:06:14 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-07-08 20:49:23 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.6.0-beta1

2019-07-08 20:49:23 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-07-08 20:49:24 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-07-08 20:49:32 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-07-08 20:49:34 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-07-08 20:49:35 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-07-08 20:49:35 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-07-08 20:49:36 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-07-08 20:49:36 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-07-08 20:49:36 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-07-08 20:49:37 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-07-08 20:49:37 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-07-08 20:49:38 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-07-08 20:39:40 UTC

Size

39.9 MB

Content Digest
Environment
CONSUL_VERSION

1.6.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0362ad1dd800a9d92f8982fa28f173f9120266153830f990f7486f44b068968a - 6.42% (2.56 MB)

[#001] sha256:09f0d55e3df9fec297c5ffcf865f6cb1ba66f6616f6d22f588df598d9b1c32ac - 0.0% (1.25 KB)

[#002] sha256:e6dddf10d5f596237932c7adac05f25bce72e49a6433fb034a57e65741bc1bcc - 93.57% (37.4 MB)

[#003] sha256:e39ac32f8142fd0f871575bcfd0629551cea599514870eec2d3bcc1e9548693d - 0.0% (174 Bytes)

[#004] sha256:bdec51e232580ecd32d48eef44d4880150245069f1f19e69b63214103e3ec983 - 0.0% (152 Bytes)

[#005] sha256:e688bf0a14b66fa29066ddc5f6b47f52a6f182756ac585be7c1616ad64e9cd36 - 0.0% (1.67 KB)


History
2019-06-19 20:39:47 UTC

/bin/sh -c #(nop) ADD file:66f49017dd7ba295602526dbf210046e47fd097298c17a3f268a47487b5b6379 in /

2019-06-19 20:39:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-06-19 20:56:05 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-07-08 20:39:26 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.6.0-beta1

2019-07-08 20:39:26 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-07-08 20:39:28 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-07-08 20:39:34 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-07-08 20:39:36 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-07-08 20:39:37 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-07-08 20:39:37 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-07-08 20:39:38 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-07-08 20:39:38 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-07-08 20:39:38 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-07-08 20:39:39 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2019-07-08 20:39:39 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-07-08 20:39:40 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]